get
https://api.aerocrs.com/v5/getDeepLink
The method will allow you to receive the list of destinations served by AeroCRS airlines.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
- Mandatory parameters
Response
The method will response with a list of destinations, including country and additional information.
| Parameter | Type | Description |
|---|---|---|
| count | Number | Number of results |
| fltid | Number / Array | Flight ID. Array for connection flights |
| airlineDesignator | String | Airline Designator |
| airlineICAOcode | String | Airline 3 letter ICAO code |
| airlineName | String | Airline name |
| aircraftType | String | Aircraft model type (could be empty if not set) |
| aircraftTypeIataCode | String | Aircraft model IATA code (could be empty if not set) |
| fltnum | String | Flight number |
| fromcode | String | Destination FROM code |
| tocode | String | Destination TO code |
| via | String | If this flight is via another destination. (Not a connection flight) |
| STD | String | YYYY/MM/DD HH:MM departure time |
| STDinUTC | String | YYYY/MM/DD HH:MM departure time in UTC |
| STA | String | YYYY/MM/DD HH:MM arrival time |
| STAinUTC | String | YYYY/MM/DD HH:MM arrival time in UTC |
| airlineLogo | Link | Link to the airline logo |
| CompanyChildAgeStart | Number | Applicable child start age according to airline rules |
| CompanyChildAgeEnd | Number | Applicable chid start end (inclusive) according to airline rules |
| companyINFchargeTAX | Boolean | Airline charge tax on infant |
| deeplink | Link | The "deeplink" to the website itinerary page, you can redirect the customer to this page for continuation of his booking on the airline IBE |
| direction | String | Direction of the flight (outbound/inbound) |
| websiteDiscount | Number | Percentage of discount from RACK FARE below if booked on the website (0.95 for 5% discount) |
| classes | Array | Array of class codes and their details |
| freeseats | Number | Number of free seats for this class |
| currency | String | The currency used in the fare |
| chargeType | String | Charge type (e.g citizen, foreigner) |
| chargeTypeCode | String | IATA code for charge type |
| baggageAllowance | Number | Baggage weight allowed on the flight |
| baggageUnit | String | Weight unit (e.g Kg) |
| fare | Element | Details about the fare related to this class |
| rackFare | Element | Details about the rack fare |
| adultFare | Money | Fare for adult |
| childFare | Money | Fare for child |
| infantFare | Money | Fare for infant |
| tax | Money | Tax rate |
| websiteDiscount | Money | Discount for web bookings. If you are redirecting to company's website, you should multiply this number to the fare |
| flighttype | text | Trip type(Direct / Connection) |
| numberOfLegs | number | Number of legs for connection trip |
| flights | array | Will appear on connections |
| services | array | Available options by the airline for this fare: Baggage on flight, etc. |
| classCode | string | Class code |
| className | string | Class name |
| cabinClass | string | Cabin class |
| cabinCode | string | Cabin code |
| minimumPassengersForBooking | number | Minimum passengers required for this flight |
| fareid | number | the fareid to send to getFlight / createBooking |
| type | string | The fare brand type. For instance - Basic |
| rules | Array | Array of flight rules, length between 0 to 4 Please note that it is encoded. That means you will need to decode the HTML entities when showing this on your site. |
| notification (in classes) | string | Fare notification submitted by the airline. Please note that it is encoded. That means you will need to decode the HTML entities when showing this on your site. |
More understanding of chargetype usage can be found here: https://docs.aerocrs.com/v5.0/reference#available-charge-types

